Package org.eclipse.rdf4j.repository.config

## Class AbstractDelegatingRepositoryImplConfig

- java.lang.Object
- - org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig
  - - org.eclipse.rdf4j.repository.config.AbstractDelegatingRepositoryImplConfig

- All Implemented Interfaces:
    `DelegatingRepositoryImplConfig`, `RepositoryImplConfig`
  Direct Known Subclasses:
    `ContextAwareConfig`, `DatasetRepositoryConfig`

      public abstract class AbstractDelegatingRepositoryImplConfig
      extends AbstractRepositoryImplConfig
      implements DelegatingRepositoryImplConfig

  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractDelegatingRepositoryImplConfig()` | Create a new DelegatingRepositoryImplConfigBase.
    `protected` | `AbstractDelegatingRepositoryImplConfig​(String type)` | Create a new DelegatingRepositoryImplConfigBase.
    `protected` | `AbstractDelegatingRepositoryImplConfig​(String type, RepositoryImplConfig delegate)` | Create a new DelegatingRepositoryImplConfigBase.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Resource` | `export​(Model model)` | Export this `RepositoryImplConfig` to its RDF representation
    `RepositoryImplConfig` | `getDelegate()` |
    `void` | `parse​(Model model, Resource resource)` | Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
    `void` | `setDelegate​(RepositoryImplConfig delegate)` |
    `void` | `validate()` | Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.repository.config.AbstractRepositoryImplConfig

      `create, getType, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.config.RepositoryImplConfig

      `getType`

- - ### Constructor Detail

    - #### AbstractDelegatingRepositoryImplConfig

          protected AbstractDelegatingRepositoryImplConfig()

      Create a new DelegatingRepositoryImplConfigBase.

    - #### AbstractDelegatingRepositoryImplConfig

          protected AbstractDelegatingRepositoryImplConfig​(String type)

      Create a new DelegatingRepositoryImplConfigBase.

    - #### AbstractDelegatingRepositoryImplConfig

          protected AbstractDelegatingRepositoryImplConfig​(String type,
                                                           RepositoryImplConfig delegate)

      Create a new DelegatingRepositoryImplConfigBase.

  - ### Method Detail

    - #### getDelegate

          public RepositoryImplConfig getDelegate()

      Specified by:
        `getDelegate` in interface `DelegatingRepositoryImplConfig`

    - #### setDelegate

          public void setDelegate​(RepositoryImplConfig delegate)

    - #### validate

          public void validate()
                        throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Validates this configuration. A `RepositoryConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `RepositoryImplConfig`
      Overrides:
        `validate` in class `AbstractRepositoryImplConfig`
      Throws:
        `RepositoryConfigException` - If the configuration is invalid.

    - #### export

          public Resource export​(Model model)

      Description copied from interface: `RepositoryImplConfig`
      Export this `RepositoryImplConfig` to its RDF representation
      Specified by:
        `export` in interface `RepositoryImplConfig`
      Overrides:
        `export` in class `AbstractRepositoryImplConfig`
      Parameters:
        `model` - a `Model` object. After successful completion of this method this Model will contain the RDF representation of this `RepositoryImplConfig`.
      Returns:
        the subject `Resource` that identifies this `RepositoryImplConfig` in the Model.

    - #### parse

          public void parse​(Model model,
                            Resource resource)
                     throws RepositoryConfigException

      Description copied from interface: `RepositoryImplConfig`
      Reads the properties of this `RepositoryImplConfig` from the supplied Model and sets them accordingly.
      Specified by:
        `parse` in interface `RepositoryImplConfig`
      Overrides:
        `parse` in class `AbstractRepositoryImplConfig`
      Parameters:
        `model` - a `Model` containing repository configuration data.
        `resource` - the subject `Resource` that identifies the `RepositoryImplConfig` in the Model.
      Throws:
        `RepositoryConfigException` - if the configuration data could not be read from the supplied Model.